Subject: Newbie question - bad terminal configuration
From: Steven Buroff <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 21 Dec 2006 17:29:02 -0500
List-Id: <cygwin.cygwin.com>

I've just installed cygwin on Windows XP with SP 2. There is something wrong
with the way the terminal is configured. When I run man, I get the message:
 
	WARNING: terminal is not fully functional

When I run vim, it is clearly confused about the terminal too. When I
type a ":", it doesn't move to the bottom of the window as it should.
Here is some information that may be relevant.

============================================================================
=
$ echo $TERM
nutc

sburoff@rambo ~
$ stty -a
speed 38400 baud; rows 70; columns 80; line = 0;
intr = ^C; quit = ^\; erase = ^H; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; swtch = ^Z; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R;
werase = ^W; lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon
-ixoff
-iuclc -ixany -imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0
ff0
isig icanon iexten echo -echoe -echok -echonl -noflsh -tostop -echoctl
-echoke
============================================================================

I'm sure I'm doing something dumb. Any help would be appreciated. TIA

Steve Buroff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/